Package org.apache.felix.configadmin.plugin.interpolation

## Class StandaloneInterpolator

- java.lang.Object
- - org.apache.felix.configadmin.plugin.interpolation.StandaloneInterpolator

    public class StandaloneInterpolator
    extends Object

Entrypoint into the interpolator independent of the OSGi API, so it can be used from outside of an OSGi Configuration Admin environment.

### Constructor Summary

Constructors
`StandaloneInterpolator​(Map<String,​String> frameworkProperties, File... secretsLocations)` Constructor.
`StandaloneInterpolator​(Map<String,​String> frameworkProperties, String encoding, File... secretsLocations)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `interpolate​(String pid, Dictionary<String,​Object> dict)` Perform configuration interpolations.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StandaloneInterpolator

    public StandaloneInterpolator​(Map<String,​String> frameworkProperties,
                                  File... secretsLocations)

Constructor.

Parameters:
  `frameworkProperties` - Properties to use for framework property substitutions.
  `secretsLocations` - The directories where secrets files can be found. The platform default encoding will be used for these files.

#### StandaloneInterpolator

    public StandaloneInterpolator​(Map<String,​String> frameworkProperties,
                                  String encoding,
                                  File... secretsLocations)

Constructor.

Parameters:
  `frameworkProperties` - Properties to use for framework property substitutions.
  `encoding` - The file encoding to be used for the files in the secrets locations.
  `secretsLocations` - The directories where secrets files can be found.

### Method Detail

#### interpolate

    public void interpolate​(String pid,
                            Dictionary<String,​Object> dict)

Perform configuration interpolations.

Parameters:
  `pid` - The PID of the configuration.
  `dict` - The dictionary containing the configuration properties. The dictionary will be updated by the interpolation substitutions.